[CalendarServer-changes] [12457] CalendarServer/trunk/bin/test

source_changes at macosforge.org source_changes at macosforge.org
Wed Mar 12 11:23:54 PDT 2014


Revision: 12457
          http://trac.calendarserver.org//changeset/12457
Author:   wsanchez at apple.com
Date:     2014-01-27 16:07:28 -0800 (Mon, 27 Jan 2014)
Log Message:
-----------
Don't lint if args are given; doesn't work reliably anyway.

Modified Paths:
--------------
    CalendarServer/trunk/bin/test

Modified: CalendarServer/trunk/bin/test
===================================================================
--- CalendarServer/trunk/bin/test	2014-01-27 23:54:28 UTC (rev 12456)
+++ CalendarServer/trunk/bin/test	2014-01-28 00:07:28 UTC (rev 12457)
@@ -80,13 +80,13 @@
 done;
 shift $((${OPTIND} - 1));
 
-if [ $# -gt 0 ]; then
-  test_modules="$@";
+if [ $# -eq 0 ]; then
+  lint="true";
+  set - calendarserver contrib twisted twistedcaldav txdav txweb2;
 else
-  test_modules="twext";
+  lint="false";
 fi;
 
-
 ##
 # Clean up
 ##
@@ -107,10 +107,13 @@
   ${no_color}                      \
   ${coverage}                      \
   ${numjobs}                       \
-  ${test_modules}                  \
-  ;
+  "$@";
 
 
+if ! "${lint}"; then
+  exit 0;
+fi;
+
 ##
 # Linting
 ##
@@ -118,9 +121,9 @@
 echo "";
 echo "Running pyflakes...";
 
-pip install pyflakes --target="${dev_libdir}" > "${dev_root}/pip_pyflakes.log";
+"${python}" -m pip install pyflakes --upgrade >> "${dev_home}/setup.log";
 tmp="$(mktemp -t "twext_flakes.XXXXX")";
-cd "${wd}" && "${python}" -m pyflakes ${test_modules} | tee "${tmp}" 2>&1;
+cd "${wd}" && "${python}" -m pyflakes "$@" | tee "${tmp}" 2>&1;
 if [ -s "${tmp}" ]; then
   echo "**** Pyflakes says you have some code to clean up. ****";
   exit 1;
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/calendarserver-changes/attachments/20140312/87d87ead/attachment.html>


More information about the calendarserver-changes mailing list